Skip to main content
`Ctrl`+`K`

# pandas.core.groupby.SeriesGroupBy.any

SeriesGroupBy.any(skipna=True)

  Return True if any value in the group is truthful, else False.

  Parameters:
    skipna bool, default True

      Flag to ignore nan values during truth testing.

  Returns:
    Series or DataFrame

      DataFrame or Series of boolean values, where a value is True if any element is True within its respective group, False otherwise.

  See also

  `Series.groupby`

    Apply a function groupby to a Series.

  `DataFrame.groupby`

    Apply a function groupby to each row or column of a DataFrame.

  Examples

  For SeriesGroupBy:

      >>> lst = ['a', 'a', 'b']
      >>> ser = pd.Series([1, 2, 0], index=lst)
      >>> ser
      a    1
      a    2
      b    0
      dtype: int64
      >>> ser.groupby(level=0).any()
      a     True
      b    False
      dtype: bool

  For DataFrameGroupBy:

      >>> data = [[1, 0, 3], [1, 0, 6], [7, 1, 9]]
      >>> df = pd.DataFrame(data, columns=["a", "b", "c"],
      ...                   index=["ostrich", "penguin", "parrot"])
      >>> df
               a  b  c
      ostrich  1  0  3
      penguin  1  0  6
      parrot   7  1  9
      >>> df.groupby(by=["a"]).any()
             b      c
      a
      1  False   True
      7   True   True